Track product page view for referral attribution.
curl --request POST \
--url https://mention-me.com/api/consumer/{version}/product/viewAPI Reference
Track product page view for referral attribution.
Request body (JSON): - browserId (string, required): Client-generated browser fingerprint hash (djb2)
- referrerId (string, optional): Referring user's visitorId from mm_rf URL param - currentUrl (string): Full URL of product page - host (string): Hostname - pathname (string): URL path - referrer (string): Document referrer or "$direct" - referringDomain (string): Referrer hostname or "$direct" - os (string): Operating system name - osVersion (string): OS version
- browser (string): Browser name - device (string): Device identifier - deviceType (string): "Mobile", "Tablet", or "Desktop" - browserLanguage (string): Browser language (e.g., "en-GB")
- screenHeight (int): Screen height in pixels - screenWidth (int): Screen width in pixels - viewportHeight (int): Viewport height in pixels - viewportWidth (int): Viewport width in pixels
Response: { visitorId: string } - SHA256(browserId + clientIP)
POST
/
api
/
consumer
/
{version}
/
product
/
view
Track product page view for referral attribution.
curl --request POST \
--url https://mention-me.com/api/consumer/{version}/product/viewPath Parameters
Available options:
v2, v1 Pattern:
v2|v1Response
default - undefined
Last modified on June 11, 2026
Was this page helpful?
⌘I